Colleage UI and Google Chrome compatability

The very latest version of Chrome(version 42) released overnight has dropped support for many browser plugins including the Silverlight plugin necessary for Colleague UI to function properly. While we research a solution please switch to Mozilla Firefox or Internet Explorer for UI access.

If your Chrome version is 41 or below your UI sessions should function as before and you do not need to switch.

Also, you may notice other applications that need Java, Adobe, etc. plugins may not function normally. In that scenario also please try one of the other 2 browsers.

Back to Top